Bug 1738491 - kde.csh profile file contains bourne-shell code
Summary: kde.csh profile file contains bourne-shell code
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kde-settings
Version: 7.7
Hardware: noarch
OS: Linux
high
high
Target Milestone: rc
: 7.7
Assignee: Jan Grulich
QA Contact: Desktop QE
URL:
Whiteboard:
: 1739584 1739688 1748186 1756535 (view as bug list)
Depends On:
Blocks: 1740042
TreeView+ depends on / blocked
 
Reported: 2019-08-07 10:15 UTC by Dennixx
Modified: 2019-11-30 22:30 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1740042 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 4346911 None None None 2019-08-20 22:22:25 UTC

Description Dennixx 2019-08-07 10:15:57 UTC
Description of problem:
When a user with csh/tcsh as default shell logs in they get the following message:

if: Expression Syntax.

The users own profile isn't parsed

Version-Release number of selected component (if applicable):
kde-settings-19-23.9.el7.noarch

How reproducible:
Any RHEL7 system with the kde-settings (released yesterday) installed has this issue

Steps to Reproduce:
1. Update to the latest kde-settings package
2. Have csh/tcsh as the default shell
3. Log in via SSH

Actual results:
if: Expression Syntax.

Expected results:
The user can log in without the error message, and with the user's .cshrc/.tcshrc/.login parsed correctly

Additional info:

The cause seems to be in /etc/profile.d/kde.csh. The last lines contain code which is clearly bourne-shell code

Comment 3 Dennixx 2019-08-07 10:41:22 UTC
I also opened a support case for this: 02443776

Comment 5 Dennixx 2019-08-07 14:08:13 UTC
su - (to root) has the exact same issue.

Comment 9 Jan Grulich 2019-08-09 15:59:39 UTC
*** Bug 1739584 has been marked as a duplicate of this bug. ***

Comment 10 Jan Grulich 2019-08-10 10:04:39 UTC
*** Bug 1739688 has been marked as a duplicate of this bug. ***

Comment 11 Jan Grulich 2019-08-11 18:20:18 UTC
Here is updated kde-settings package which should fix this issue: https://jgrulich.fedorapeople.org/kde-settings/

Comment 13 Dennixx 2019-08-13 13:38:39 UTC
Tested kde-settings-19-23.10.el7_7.noarch, and it solved the issue.

Comment 14 Patrick J. LoPresti 2019-08-27 17:25:44 UTC
So you folks don't test csh nor tcsh as a login shell?

Comment 15 garloff.annette 2019-08-28 15:55:01 UTC
I installed the package via the fedora site, and indeed it solves the problem ... for the c-shell.
But now the bash produces an error when invoked...

-bash: /etc/profile.d/kde.sh: line 3: syntax error near unexpected token `setenv'
-bash: /etc/profile.d/kde.sh: line 3: `if ( ! $?KDEDIRS ) setenv KDEDIRS /usr'

the kde.sh in said directory is coded in csh...

really??

Comment 16 garloff.annette 2019-08-28 16:35:49 UTC
I have installed the package from  https://jgrulich.fedorapeople.org/kde-settings/ and it solves thr problem - for the c-shell.

But now the bash produces an error when invoked:

$ su -
Last login: Wed Aug 28 17:42:39 CEST 2019 on pts/0
-bash: /etc/profile.d/kde.sh: line 3: syntax error near unexpected token `setenv'
-bash: /etc/profile.d/kde.sh: line 3: `if ( ! $?KDEDIRS ) setenv KDEDIRS /usr'

the kde.sh in said directory is coded in csh...

Really???

Comment 17 Jan Grulich 2019-08-28 18:09:28 UTC
(In reply to garloff.annette from comment #16)
> I have installed the package from 
> https://jgrulich.fedorapeople.org/kde-settings/ and it solves thr problem -
> for the c-shell.
> 
> But now the bash produces an error when invoked:
> 
> $ su -
> Last login: Wed Aug 28 17:42:39 CEST 2019 on pts/0
> -bash: /etc/profile.d/kde.sh: line 3: syntax error near unexpected token
> `setenv'
> -bash: /etc/profile.d/kde.sh: line 3: `if ( ! $?KDEDIRS ) setenv KDEDIRS
> /usr'
> 
> the kde.sh in said directory is coded in csh...
> 
> Really???

I don't know why do you get such error, but when I download the above mentioned RPM and unpack it, I don't see such line in /etc/profile.d/kde.sh.

Comment 18 garloff.annette 2019-08-29 11:51:11 UTC
Sorry, seems to have been my mistake (?). I have downgraded the kde-settings to Version 8, than updated again with your package - this time the kde.sh has the same time-stamp, but it looks much different and is ok.
Regards

Comment 19 Jan Grulich 2019-09-02 04:52:59 UTC
*** Bug 1710925 has been marked as a duplicate of this bug. ***

Comment 20 Jan Grulich 2019-09-03 06:25:18 UTC
*** Bug 1748186 has been marked as a duplicate of this bug. ***

Comment 21 Jan Grulich 2019-09-30 05:24:08 UTC
*** Bug 1756535 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.